GETPT(3)

NAME
getpt - open the pseudo-terminal master (PTM)

SYNOPSIS
#include <stdlib.h>

int getpt(void)

DESCRIPTION
getpt() opens a pseudo-terminal master and returns its file descriptor. It is equivalent to open("/dev/ptmx",O_RDWR|O_NOCTTY) on Linux systems, though the pseudo-terminal master is located elsewhere on some systems that use GNU Libc.

RETURN VALUE
getpt() returns an open file descriptor upon successful completion. Otherwise, it returns -1 and sets errno to indicate the error.

CONFORMING TO
getpt() is specific to GNU Libc.

SEE ALSO
grantpt(3), ptsname(3), posix_openpt(3), unlockpt(3), ptmx(4), pty(7)